

//Define the structure of the data by ID

stset Period, failure(failure) id(IDr)

//  Proportional Hazard results (Table 1)

stcox Pressure if GroupCensored==0, nohr vce(robust)

stcox i.Cycle2 Gender Pressure Experience Bio ENRE if GroupCensored==0, nohr vce(robust)

stcox i.Cycle2 Gender PercentageCRTCorrect Pressure Experience Bio ENRE if FinishedCRTinTime==1 &GroupCensored==0, nohr vce(robust)


//lines 25-29 =Table 1


//Table 2
regress DeviationFromOptimal Pressure if SizeOfStock>30 & GroupCensored==0, cluster(ID)
regress DeviationFromOptimal Period i.Cycle2 Gender Pressure Experience Bio ENRE if SizeOfStock>30 & GroupCensored==0, cluster(ID)
regress DeviationFromOptimal Period i.Cycle2 Gender PercentageCRTCorrect Pressure Experience Bio ENRE if FinishedCRTinTime==1 & SizeOfStock>30 &GroupCensored==0, cluster(ID)


//lines 16-18 =Table 2 



// Define Group level observations
preserve

collapse (mean) ENRE Bio Gender Experience PercentageCRTCorrect FinishedCRTinTime SizeOfStock DeviationFromOptimal, by(Period Session Cycle2 Pressure Group failure GroupCensored)

collapse (mean) ENRE Bio Gender Experience PercentageCRTCorrect FinishedCRTinTime SizeOfStock DeviationFromOptimal, by(Period Session Cycle2 Pressure Group failure GroupCensored)


//Group level regressions (Supplementary Table 1)


egen idr = concat(Session Cycle2 Group)

gen IDr = real(idr)

stset Period, failure(failure) id(IDr)

stcox Pressure if GroupCensored==0, nohr vce(robust)

stcox i.Cycle2 Gender Pressure Experience Bio ENRE if GroupCensored==0, nohr vce(robust)



//lines 47-51 = Supplementary Table 1

restore

//Need to reload data to uncollapse data for the remaining Tables



//  Proportional Hazard results (Supplementary Table 2)

stcox Pressure if Cycle2==1 & GroupCensored==0, nohr vce(robust)

stcox Gender Pressure Experience Bio ENRE if Cycle2==1 & GroupCensored==0 , nohr vce(robust)

stcox Gender PercentageCRTCorrect Pressure Experience Bio ENRE if FinishedCRTinTime==1 & Cycle2==1 & GroupCensored==0, nohr vce(robust)


//lines 26-30 =Supplementary Table 2



//Supplementary Table 3
reg DeviationFromOptimal Pressure  if SingleSubjectCensored<1 & SizeOfStock >30, cluster(ID)
regress DeviationFromOptimal Period i.Cycle2 Gender Pressure Experience Bio ENRE if SingleSubjectCensored<1 & SizeOfStock>30, cluster(ID)
regress DeviationFromOptimal Period i.Cycle2 Gender PercentageCRTCorrect Pressure Experience Bio ENRE  if FinishedCRTinTime==1 & SizeOfStock>30& SingleSubjectCensored<1, cluster(ID)


//lines 17-18 =Supplementary Table 3 



//Supplementary Table 4
//Analyzing Mean Deviation From SO per round and by treatment effect
mean DeviationFromOptimal if GroupCensored==0, over(Pressure Period)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period==1, by(Pressure)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period==2, by(Pressure)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period==3, by(Pressure)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period==4, by(Pressure)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period==5, by(Pressure)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period==6, by(Pressure)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period==7, by(Pressure)

ttest DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period>7, by(Pressure)
ranksum DeviationFromOptimal if GroupCensored ==0 & SizeOfStock>30 & Period>7, by(Pressure)
//Supplementary Table 4 is 16-26.





//Supplementary Figure 1

ciplot AbsExtractionChange if failure ==0 & GroupCensored==0, by(Pressure)
